package com.kingdee.eas.custom.dormitorysystem.occupants;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class OccupantsTreeCollection extends AbstractObjectCollection 
{
    public OccupantsTreeCollection()
    {
        super(OccupantsTreeInfo.class);
    }
    public boolean add(OccupantsTreeInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(OccupantsTreeCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(OccupantsTreeInfo item)
    {
        return removeObject(item);
    }
    public OccupantsTreeInfo get(int index)
    {
        return(OccupantsTreeInfo)getObject(index);
    }
    public OccupantsTreeInfo get(Object key)
    {
        return(OccupantsTreeInfo)getObject(key);
    }
    public void set(int index, OccupantsTreeInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(OccupantsTreeInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(OccupantsTreeInfo item)
    {
        return super.indexOf(item);
    }
}